Summary:	Kcm module to configure Wacom linux Drivers
Name:		wacomtablet
Version:	1.3.2
Release:	%mkrel 0
Source0:	wacomtablet-v%{version}.tar.bz2
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://projects.kde.org/projects/extragear/base/wacomtablet
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	libxrandr-devel
Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button / pen layouts per profile.

For hardware support have a look at http://www.linuxwacom.sourceforge.net

%files -f %{name}.lang
%defattr(-,root,root)

#-----------------------------------------------------------------------

%package -n plasma-applet-wacomtablet
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Provides:	plasma-applet
%description -n plasma-applet-wacomtablet
This package provides a plasma applet for %{name}

%files -n plasma-applet-wacomtablet
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_wacomtabletsettings.so
%_kde_services/plasma-applet-wacomtabletsettings.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}
%description kcmodule
This package provides the necessary files for kcmmodule

%files kcmodule
%defattr(-,root,root)
%_kde_libdir//kde4/kcm_wacomtablet.so
%_kde_datadir/doc/HTML/en/kcontrol/wacomtablet/
%_kde_services/kcm_wacomtablet.desktop
%_kde_datadir/apps/wacomtablet/data
%_kde_datadir/apps/wacomtablet/images

#-----------------------------------------------------------------------
%package kded
Summary:	kded module for %{name}
%description	kded
This package provides the kded module and dbus files for %{name}

%files kded
%defattr(-,root,root)
%_kde_libdir/kde4/kded_wacomtablet.so
%_kde_datadir/apps/wacomtablet/wacomtablet.notifyrc
%_kde_datadir/dbus-1/interfaces/org.kde.Wacom.xml
%_kde_datadir/dbus-1/interfaces/org.kde.WacomDevice.xml
%_kde_services/kded/wacomtablet.desktop

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%find_lang %{name} 

%clean
%__rm -rf %buildroot


%changelog
* Mon Jul 04 2011 mikala <mikala> 1.3.2-0.mga1
+ Revision: 118107
- Update tarball to 1.3.2 to fix an upstream crash (mga #1431)

* Tue May 03 2011 mikala <mikala> 1.3-0.mga1
+ Revision: 94442
- imported package wacomtablet

